Bug 508082 - Review Request: php-pear-Auth_HTTP - Class providing HTTP authentication methods
Review Request: php-pear-Auth_HTTP - Class providing HTTP authentication methods
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 11:06 EDT by Andrew Colin Kissa
Modified: 2009-08-01 20:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.1.6-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-01 09:49:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrew Colin Kissa 2009-06-25 11:06:50 EDT
Spec URL: http://www.topdog-software.com/oss/SRPMS/fedora/php-pear-Auth-HTTP/php-pear-Auth-HTTP.spec
SRPM URL: http://www.topdog-software.com/oss/SRPMS/fedora/php-pear-Auth-HTTP/php-pear-Auth-HTTP-2.1.6-1.fc11.src.rpm
Description: 
The PEAR::Auth_HTTP class provides methods for creating an HTTP
authentication system using PHP, that is similar to Apache's
realm-based .htaccess authentication.

* From package maintainers wishlist - http://fedoraproject.org/wiki/Package_maintainers_wishlist#P

* rpmlint - clean on spec and rpms

* Koji build successful - http://koji.fedoraproject.org/koji/taskinfo?taskID=1435647
Comment 1 Mamoru TASAKA 2009-06-29 14:36:33 EDT
Some notes:

* License
  - What is the purpose of including PHP 3.01 license text
    in the srpm?
    Actually this package is licensed under PHPv2 (not v3)
    and we generally don't allow to use "external" license texts
    not included in the source tarball unless the upstream
    developer explicitly declared to use the license.

* Naming
  - For naming see bug 508075
Comment 2 Andrew Colin Kissa 2009-06-29 18:14:22 EDT

I added the License file because the package does not provide any documentation causing rpmlint to return no-documentation error, the package is actually Licensed as PHP 3.01 according to the link on its web page.

* I have removed the license file.

* Renamed to match upstream as recommended.

Updated Spec and SRPMS

SPEC: http://www.topdog-software.com/oss/SRPMS/fedora/php-pear-Auth-HTTP/php-pear-Auth_HTTP.spec
SRPMS: http://www.topdog-software.com/oss/SRPMS/fedora/php-pear-Auth-HTTP/php-pear-Auth_HTTP-2.1.6-2.fc11.src.rpm
Comment 3 Mamoru TASAKA 2009-06-30 12:22:25 EDT
Okay

--------------------------------------------------------------
  This package (php-pear-Auth_HTTP) is APPROVED by mtasaka
--------------------------------------------------------------
Comment 4 Andrew Colin Kissa 2009-06-30 12:30:33 EDT
Thanks for the review.

New Package CVS Request
=======================
Package Name: php-pear-Auth_HTTP
Short Description: Class providing HTTP authentication methods
Owners: topdog
Branches: F-10 F-11
InitialCC: mtasaka
Comment 5 Jason Tibbitts 2009-06-30 22:40:30 EDT
CVS done.
Comment 6 Fedora Update System 2009-07-01 04:16:48 EDT
php-pear-Auth_HTTP-2.1.6-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-pear-Auth_HTTP-2.1.6-2.fc10
Comment 7 Fedora Update System 2009-07-01 04:16:54 EDT
php-pear-Auth_HTTP-2.1.6-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-pear-Auth_HTTP-2.1.6-2.fc11
Comment 8 Mamoru TASAKA 2009-07-01 09:49:43 EDT
Now closing.
Comment 9 Andrew Colin Kissa 2009-07-15 09:22:51 EDT
Package Change Request
======================
Package Name: php-pear-Auth_HTTP
New Branches: EL-5
Owners: topdog
Comment 10 Kevin Fenzi 2009-07-16 01:56:12 EDT
cvs done.
Comment 11 Fedora Update System 2009-08-01 19:58:38 EDT
php-pear-Auth_HTTP-2.1.6-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-08-01 20:02:16 EDT
php-pear-Auth_HTTP-2.1.6-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.